package com.keysight.repository.client;

import java.io.IOException;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;

import javax.ws.rs.client.ClientRequestContext;
import javax.ws.rs.client.ClientRequestFilter;
import javax.ws.rs.client.ClientResponseContext;
import javax.ws.rs.client.ClientResponseFilter;
import javax.ws.rs.core.NewCookie;

public class CookieFilter implements ClientRequestFilter, ClientResponseFilter {

	private Map<String, NewCookie> cookies = new HashMap<String, NewCookie>();
		
	public void filter(ClientRequestContext requestContext, ClientResponseContext responseContext) throws IOException {
		Date now = new Date();
		for(Entry<String, NewCookie> cookie : responseContext.getCookies().entrySet()) {
			if(cookie.getValue().getExpiry().before(now)) {
				cookies.remove(cookie.getKey());
			} else {
				cookies.put(cookie.getKey(), cookie.getValue());
			}
		}
	}

	public void filter(ClientRequestContext requestContext) throws IOException {
		if(!cookies.isEmpty()) {
			requestContext.getHeaders().put("Cookie", new ArrayList<Object>(cookies.values()));
		}
	}

}
