package com.keysight.repository.client;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import javax.ws.rs.client.ClientRequestContext;
import javax.ws.rs.client.ClientResponseContext;
import javax.ws.rs.client.ClientResponseFilter;

public class ErrorLoggingFilter implements ClientResponseFilter {

	private static String toString(InputStream stream) throws IOException {
		ByteArrayOutputStream allBytes = new ByteArrayOutputStream();
		byte [] buffer = new byte[1024];
		int bytesRead = -1;
		do {
			bytesRead = stream.read(buffer, 0, buffer.length);
			if(bytesRead > 0) {
				allBytes.write(buffer, 0, bytesRead);
			}
		} while (bytesRead != -1);
		return allBytes.toString();
	}
	
	@Override
	public void filter(ClientRequestContext requestContext, ClientResponseContext responseContext) throws IOException {
		if(responseContext.getStatus() >= 400) {
			try {
				String errorMessage = toString(responseContext.getEntityStream());
				System.out.println("Error during request: " + errorMessage);
			} catch (IOException ex) {
				System.out.println("Could not read any detailed error");
			}
		}
	}

}
