package com.keysight.repository.example;

import java.util.List;

import com.keysight.repository.client.KeysightRepositoryClient;
import com.keysight.repository.model.Credentials;
import com.keysight.repository.model.Dataset;
import com.keysight.repository.model.MeasurementType;
import com.keysight.repository.model.PropertyType;

public class DumpDatasets {

	public static void main(String [] args) {
		KeysightRepositoryClient client = KeysightRepositoryClient.open("localhost", 5000);
		client.login(new Credentials("admin", "admin"));
		List<Dataset> datasets = client.getDatasets();
		for(Dataset dataset : datasets) {
			System.out.println(dataset.getId() + " - " + dataset.getName() + " (" + dataset.getMeasurementCount() + " measurements)");
			for(MeasurementType measurementType : client.getMeasurementTypesForDataset(dataset.getId())) {
				System.out.println("\tMEAS: " + measurementType.getName());
				if(measurementType.getUnits() != null) {
					System.out.println("\t\tUnits: " + measurementType.getUnits());
				}
				if(measurementType.getLowerLimit() != null || measurementType.getUpperLimit() != null) {
					System.out.println("\t\tLimits <" + measurementType.getLowerLimit() + "," + measurementType.getUpperLimit() + ">");
				}
			}
			for(PropertyType propertyType : client.getPropertyTypesForDataset(dataset.getId())) {
				System.out.println("\tPROP: " + propertyType.getFormat() + " : " + (propertyType.getGroup() == null ? "" : (propertyType.getGroup() + "::") ) + propertyType.getName());
			}
		}
	}
	
}
