package com.keysight.repository.model;

/**
 * Credentials used to login to the repository server
 */
public class Credentials {

	private String username;
	private String password;

	/**
	 * Creates credentials
	 * @param username The username of the account to log into
	 * @param password The password of the account to log into
	 */
	public Credentials(String username, String password) {
		this.username = username;
		this.password = password;
	}

	/**
	 * Returns the credentials username
	 * @return The credentials username
	 */
	public String getUsername() {
		return username;
	}

	/**
	 * Returns the credentials password
	 * @return The credentials password
	 */
	public String getPassword() {
		return password;
	}
	
}
