package com.keysight.repository.model;

/**
 * A property is a parameter that may be defined when a measurement is made.
 */
public class Property {

	private int propertyTypeId;
	private String value;
	
	protected Property() {
		
	}
	
	/**
	 * Constructs a new property
	 * @param propertyTypeId The id of the property type this property is an instance of
	 * @param value The value of the property
	 */
	public Property(int propertyTypeId, String value) {
		this.propertyTypeId = propertyTypeId;
		this.value = value;
	}

	/**
	 * Returns the property type for which this property is an instance of
	 * @return The property type for which this property is an instance of
	 */
	public int getPropertyTypeId() {
		return propertyTypeId;
	}

	/**
	 * Returns the value of the property
	 * @return The value of the property
	 */
	public String getValue() {
		return value;
	}
	
	
}
